Bug 909111 - python-keystone dependency is missing
Summary: python-keystone dependency is missing
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: openstack-cinder
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Martin Magr
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-08 10:35 UTC by Giulio Fidente
Modified: 2014-02-05 23:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 23:25:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Giulio Fidente 2013-02-08 10:35:37 UTC
Description of problem:
openstack-cinder won't work unless python-keystone is installed on the same system; the dependency is given by its default api-paste.ini configuration, which reads:
> [filter:authtoken]
> paste.filter_factory = keystone.middleware.auth_token:filter_factory


Version-Release number of selected component (if applicable):
openstack-cinder-2012.2.1-1.fc18.noarch


Steps to Reproduce:
1. install openstack-cinder
2. unless python-keystone gets installed, logs report:
> CRITICAL cinder [-] No module named keystone.middleware.auth_token

Comment 2 Fedora Update System 2013-02-13 18:57:41 UTC
openstack-packstack-2012.2.2-0.8.dev406.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/openstack-packstack-2012.2.2-0.8.dev406.el6

Comment 3 Fedora Update System 2013-02-13 18:59:33 UTC
openstack-packstack-2012.2.2-0.8.dev406.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openstack-packstack-2012.2.2-0.8.dev406.fc18

Comment 4 Fedora Update System 2013-02-15 04:59:39 UTC
Package openstack-packstack-2012.2.2-0.8.dev406.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openstack-packstack-2012.2.2-0.8.dev406.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2483/openstack-packstack-2012.2.2-0.8.dev406.fc18
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-02-21 13:37:39 UTC
openstack-packstack-2012.2.2-1.0.dev408.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openstack-packstack-2012.2.2-1.0.dev408.fc18

Comment 6 Fedora Update System 2013-02-21 13:39:34 UTC
openstack-packstack-2012.2.2-1.0.dev408.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/openstack-packstack-2012.2.2-1.0.dev408.el6

Comment 7 Fedora Update System 2013-02-27 12:39:47 UTC
openstack-packstack-2012.2.3-0.1.dev454.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openstack-packstack-2012.2.3-0.1.dev454.fc18

Comment 8 Giulio Fidente 2013-04-08 15:09:32 UTC
this was verified using openstack-cinder-2012.2.3-1.fc18

Comment 9 Fedora End Of Life 2013-12-21 15:52:52 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2014-02-05 23:25:38 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.